Subject: Re: [PATCH v5 20/20] rebase: rename the two primary rebase backends

From: Junio C Hamano <[email-masked]>
Date: Thu, 12 Mar 2020 17:04:48 -0700

Elijah Newren <[email-masked]> writes:

>> We may want to think of a way to strongly encourage those who are in
>> charge of choosing and maintaining the versions of Git that is used
>> in their organization, whose operation depends on the healthy future
>> versions of Git, to run 'next' or at least 'master', to stay ahead
>> of the released versions.  Some education and advocacy is needed?
>
> I agree, it's super cool that Emily and Jonathan distribute 'next' to
> their users at Google and provide us lots of early feedback.  I wish
> we had something similar; currently, the only control I have is
> requesting that some documentation file that includes a recommended
> minimum git version be bumped to something newer, and I usually need
> to provide a reason (I can't just say, "It's the newest release").

Of course, within such an environment, "It's to help make sure that
the upcoming release won't be broken for us" is hard to phrase
in a palatable way for the management :-<.